Subject: Re: [bug#46741] [PATCH] gnu: Return appropriate defconfig for ppc64 (non-LE)

From: Efraim Flashner <[email-masked]>
Date: Thu, 25 Feb 2021 12:22:34 +0200

I did some quick testing from the guile repl and it looks like it
doesn't take a regex. I have no preference between two entries for
'powerpc64-' and 'powerpc64le-' vs 'powerpc64'.

On Wed, Feb 24, 2021 at 03:30:00PM -0500, Carl Dong wrote:
> Hmmm does string-prefix? accept regex? And if so perhaps it should be "powerpc64(le)?-“?
> 
> Carl Dong
> [email-masked]
> "I fight for the users"
> 
> > On Feb 24, 2021, at 3:17 AM, Efraim Flashner <[email-masked]> wrote:
> > 
> > On Tue, Feb 23, 2021 at 10:03:12PM -0500, Carl Dong wrote:
> >> * gnu/packages/linux.scm (system->defconfig): Add "powerpc64-" prefix.
> >> ---
> >> gnu/packages/linux.scm | 1 +
> >> 1 file changed, 1 insertion(+)
> >> 
> >> diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
> >> index c87c5ffb09..30cbebf849 100644
> >> --- a/gnu/packages/linux.scm
> >> +++ b/gnu/packages/linux.scm
> >> @@ -181,6 +181,7 @@
> >> defconfig.  Return the appropriate make target if applicable, otherwise return
> >> \"defconfig\"."
> >>   (cond ((string-prefix? "powerpc-" system) "pmac32_defconfig")
> >> +        ((string-prefix? "powerpc64-" system) "ppc64_defconfig")
> >>         ((string-prefix? "powerpc64le-" system) "ppc64_defconfig")
> > 
> > would it make more sense to change it to "powerpc64" or "powerpc(64)?-"?
> > 
> >>         (else "defconfig")))
> >> 
> >> --
> >> 2.30.1
> >> 
> >> 
> >> 
> >> 
> > 
> > --
> > Efraim Flashner   <[email-masked]>   אפרים פלשנר
> > GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> > Confidentiality cannot be guaranteed on emails sent or received unencrypted
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted